<?php

namespace Lucent\Setup\Step;

use Lucent\Setup\Data\SetupStep;

class LucentConfigStep implements IStep
{

    public function __invoke(): SetupStep
    {

        $lucentConfig = config("lucent.schemas_path");

        $name = "Generate Lucent config";

        $instructions = <<<EOD
# Run the following command to generate the configuration file:

php artisan vendor:publish --tag=lucent-config

# A lucent.php file will be created in your config folder

EOD;


        return match (!empty($lucentConfig)) {
            true => SetupStep::makeSuccess($name, $instructions),
            false => SetupStep::makeFail($name, $instructions),
        };
    }
}